Instalando Granola en Trisquel

Actualización: desde que se escribió esto, cambairon algunas cosas (granola ahora usa licencias comerciales para "orgaizaciones" y cosas así, con lo que desconozco si se puede seguir considerando libre, que no gratuito )

Navengando por Linux_Hispano me encontre con un software que tiene muy buena pinta, Granola, completamente libre (gracias al canal #trisquel por responder esta duda) y dedicado al ahorro de energía. La instalación es bastante simple, el típico shellscript, pero no funciona del todo bien en esta distro, así que hay que hacer un par de apaños, intentando ejecutar el shellscript... [http://1.bp.blogspot.com/_26RJWnubh-w/TC5PZmQGFNI/AAAAAAAAAKk/RVPS7iDyHrk/ s320/Pantallazo.png] "Perdón, pero parece que estas utilizando una distribución o versión sin soporte" Si se busca el string en el script instalador se encuentra esto: [http://4.bp.blogspot.com/_26RJWnubh-w/TC5THVCsdUI/AAAAAAAAAKo/LsZ49f9VB-Y/ s320/Pantallazo-1.png] Así que lo que hay que hacer es que la variable $DISTRIBUTION sea ubuntu o debian (hay más distros soportadas, pero estas son las más similares), solo hay que cambiar.

=============================================================================== DISTRIBUTION=unsupported =============================================================================== por

=============================================================================== DISTRIBUTION=ubuntu ===============================================================================

Y añadir una línea después, dependiendo de la versión de Ubuntu en la que se base, por ejemplo

si es el Trisquel 3.5 CODENAME=karmic

o si es la versión 4 CODENAME=lucid

Para actualizar la lista de software haremos sudo apt-get update

pero da un error: "W: Imposible obtener https://download.miserware.com/liux/deb/dists/taranis/ main/binary-i386/Packages.gz  The requested URL returned error: 404"

Así que hay que editar /etc/apt/sources.list.d/miserware.list , y en deb https://download.miserware.com/linux/deb taranis mainhay que cambiar el codename de la versión (taranis aquí) por la equivalente de ubuntu (la que pusimos en la variable CODENAME en el script de instalación, en este caso lucid)

Ahora el sudo apt-get update debería funcionar bien, así que por fin podemos instalar el software con sudo apt-get install granola granola-gui

[http://1.bp.blogspot.com/_26RJWnubh-w/TC5hbKtcvII/AAAAAAAAAKs/JFbHSdb2pVk/ s320/Pantallazo-2.png] A ver si de paso ahora dura más la batería del portátil :P

Hasta otra!

untagged

Un bot IRC » « ASCII Art con Python [Actualizada]